Bug 152208 - Hang mounting Zip disk
Hang mounting Zip disk
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-26 07:35 EST by Leon Stringer
Modified: 2015-01-04 17:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:19:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Stringer 2005-03-26 07:35:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Epiphany/1.5.8

Description of problem:
When I insert a Zip disk into my computer and double click on the Computer/IOMEGA ZIP 250 ATAPI icon to mount it my system immediately locks up unrecoverably.

The system log shows:
Mar 26 11:43:00 localhost kernel: hdb: 244766kB, 489532 blocks, 512 sector size
Mar 26 11:43:00 localhost kernel: hdb: 244736kB, 239/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
Mar 26 11:43:00 localhost kernel: hdb: The disk reports a capacity of 250640384 bytes, but the drive only handles 250609664
Mar 26 11:56:38 localhost syslogd 1.4.1: restart.

Note that it is a 250MB disk in a 250MB drive. This disk worked fine with FC3.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1202_FC4

How reproducible:
Always

Steps to Reproduce:
1. Insert Zip disk.
2. Double click on Computer/IOMEGA ZIP 250 ATAPI icon in GNOME.
  

Actual Results:  Computer locked up.

Expected Results:  Zip disk should have been mounted.

Additional info:

This is the log from the working mount under FC3.

Mar 26 12:22:11 localhost kernel: hdb: 244766kB, 489532 blocks, 512 sector size
Mar 26 12:22:11 localhost kernel: hdb: The disk reports a capacity of 250640384 bytes, but the drive only handles 250609664
Mar 26 12:22:11 localhost kernel: hdb: The disk reports a capacity of 250640384 bytes, but the drive only handles 250609664
Mar 26 12:22:11 localhost kernel:  hdb: hdb4
Comment 1 Fridrich Strba 2005-05-12 08:20:33 EDT
On my system, with all kernels from rawhide since FC4t1, the kernel simply
crashes on start when the ZIP Disk is inserted. It boots well when the disk is
out of the slot, but hangs when the disk is inserted and automounted.
I tried to force the ide-scsi driver on this device, and it boots, and even
mounts the disk correctly, one can even sometimes read an copy the content, but
it is very unstable and hangs the system at certain point.
Comment 2 Dave Jones 2005-05-17 20:17:44 EDT
can you paste the dmesg output from the latest kernel please ?
Comment 3 Leon Stringer 2005-05-19 13:27:12 EDT
Is this what you want? (Kernel  2.6.11-1.1315_FC4)

Linux version 2.6.11-1.1315_FC4 (bhcompile@tweety.build.redhat.com) (gcc version
4.0.0 20050512 (Red Hat 4.0.0-5)) #1 Mon May 16 17:02:23 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003f740000 (usable)
 BIOS-e820: 000000003f740000 - 000000003f750000 (ACPI data)
 BIOS-e820: 000000003f750000 - 000000003f800000 (ACPI NVS)
119MB HIGHMEM available.
896MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 259904
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 30528 pages, LIFO batch:15
DMI 2.3 present.
ACPI: RSDP (v000 ACPIAM                                ) @ 0x000f7300
ACPI: RSDT (v001 INTEL  D845GRG2 0x20030714 MSFT 0x00000097) @ 0x3f740000
ACPI: FADT (v002 INTEL  D845GRG2 0x20030714 MSFT 0x00000097) @ 0x3f740200
ACPI: MADT (v001 INTEL  D845GRG2 0x20030714 MSFT 0x00000097) @ 0x3f740300
ACPI: ASF! (v016 AMIASF I845GASF 0x00000001 MSFT 0x0100000d) @ 0x3f744350
ACPI: DSDT (v001 INTEL  D845GRG2 0x0000010a MSFT 0x0100000d) @ 0x00000000
ACPI: PM-Timer IO Port: 0x408
Allocating PCI resources starting at 3f800000 (gap: 3f800000:c0800000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/12 rhgb quiet
Initializing CPU#0
CPU 0 irqstacks, hard=c0459000 soft=c0458000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 2401.016 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1024876k/1039616k available (2520k kernel code, 13856k reserved, 692k
data, 184k init, 122112k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 4751.36 BogoMIPS (lpj=2375680)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000 00004400
00000000 00000000
CPU: After vendor identify, caps: bfebfbff 00000000 00000000 00000000 00004400
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: After all inits, caps: bfebf3ff 00000000 00000000 00000080 00004400
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU: Intel(R) Pentium(R) 4 CPU 2.40GHz stepping 07
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0e28)
checking if image is initramfs... it is
Freeing initrd memory: 1078k freed
softlockup thread 0 started up.
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=1
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050309
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:00:02.0
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: Power Resource [URP1] (off)
ACPI: Power Resource [FDDP] (off)
ACPI: Power Resource [LPTP] (off)
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs *3 4 5 6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 13 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:0b: ioport range 0x400-0x47f could not be reserved
pnp: 00:0b: ioport range 0x680-0x6ff has been reserved
pnp: 00:0b: ioport range 0x480-0x4bf has been reserved
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1116526964.744:0): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key E0D607569B7A2D2E
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports 8 throttling states)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 845G Chipset.
agpgart: Detected 8060K stolen memory.
agpgart: AGP aperture is 128M @ 0xf0000000
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH4: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 9
PCI: setting IRQ 9 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
ICH4: chipset revision 2
ICH4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: SAMSUNG CDRW/DVD SM-332B, ATAPI CD/DVD-ROM drive
hdb: IOMEGA ZIP 250 ATAPI, ATAPI FLOPPY drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: Maxtor 6Y080L0, ATA DISK drive
ide1 at 0x170-0x177,0x376 on irq 15
hdc: max request size: 128KiB
hdc: 160086528 sectors (81964 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
hdc: cache flushes supported
 hdc: hdc1 hdc2 hdc3 hdc4 < hdc5 >
hda: ATAPI 40X DVD-ROM CD-R/RW drive, 8192kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
hdb: No disk in drive
hdb: 244736kB, 239/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 2048 buckets, 64Kbytes
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI wakeup devices:
P0P1 UAR1 USB0 USB1 USB2 USB3 AC97 SLPB
ACPI: (supports S0 S1 S4 S5)
Freeing unused kernel memory: 184k freed
input: AT Translated Set 2 keyboard on isa0060/serio0
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
input: ImPS/2 Generic Wheel Mouse on isa0060/serio1
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
e100: Intel(R) PRO/100 Network Driver, 3.3.6-k2-NAPI
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:01:08.0[A] -> Link [LNKE] -> GSI 11 (level, low) -> IRQ 11
e100: eth0: e100_probe: addr 0xff8ff000, irq 11, MAC addr 00:07:E9:DD:73:E5
orinoco 0.14alpha2 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
orinoco_pci 0.14alpha2 (Pavel Roskin <proski@gnu.org>, David Gibson
<hermes@gibson.dropbear.id.au> & Jean Tourrilhes <jt@hpl.hp.com>)
ACPI: PCI Interrupt 0000:01:02.0[A] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
orinoco_pci: Detected device 0000:01:02.0, mem:0xe6aff000-0xe6afffff, irq 9
eth1: Hardware identity 8013:0000:0001:0000
eth1: Station identity  001f:0009:0001:0004
eth1: Firmware determined as Intersil 1.4.9
eth1: Ad-hoc demo mode supported
eth1: IEEE standard IBSS ad-hoc mode supported
eth1: WEP supported, 104-bit key
eth1: MAC address 00:04:75:BB:D4:6B
eth1: Station name "Prism  I"
eth1: ready
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 3
PCI: setting IRQ 3 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 3 (level, low) -> IRQ 3
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 49878 usecs
intel8x0: clocking to 48000
eth1: New link status: Association Failed (0006)
hw_random hardware driver 1.0.0 loaded
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 10
PCI: setting IRQ 10 as level-triggered
ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link [LNKH] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: irq 10, io mem 0xffa7fc00
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI 1.00, driver 10 Dec 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
USB Universal Host Controller Interface driver v2.2
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 11, io base 0x0000e800
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKD] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 5, io base 0x0000e880
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 9, io base 0x0000ec00
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
eth1: New link status: Connected (0001)
NET: Registered protocol family 10
Disabled Privacy Extensions on device c03e75a0(lo)
IPv6 over IPv4 tunneling driver
ACPI: Power Button (FF) [PWRF]
ACPI: Sleep Button (CM) [SLPB]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 00 00 00 00 10 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0
Buffer I/O error on device hda, logical block 0
Buffer I/O error on device hda, logical block 1
Buffer I/O error on device hda, logical block 2
Buffer I/O error on device hda, logical block 3
Buffer I/O error on device hda, logical block 4
Buffer I/O error on device hda, logical block 5
Buffer I/O error on device hda, logical block 6
Buffer I/O error on device hda, logical block 7
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0
Buffer I/O error on device hda, logical block 0
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 04 2e a0 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 1096320
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0
hdb: No disk in drive
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 00 00 00 00 10 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0
Buffer I/O error on device hda, logical block 0
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 04 2e a0 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 1096320
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x51 { IllegalLengthIndication LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0
hdb: No disk in drive
EXT3 FS on hdc1, internal journal
Adding 2096472k swap on /dev/hdc2.  Priority:-1 extents:1
Adding 1052216k swap on /dev/hdc5.  Priority:-2 extents:1
eth1: New link status: Disconnected (0002)
eth1: New link status: Association Failed (0006)
eth1: no IPv6 routers present
eth1: New link status: Connected (0001)
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE,EPP]
parport0: Printer, HEWLETT-PACKARD DESKJET 990C
lp0: using parport0 (interrupt-driven).
lp0: console ready
[drm] Initialized drm 1.0.0 20040925
ACPI: PCI Interrupt 0000:00:02.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
[drm] Initialized i915 1.1.0 20040405 on minor 0:
mtrr: base(0xf0020000) is not aligned on a size(0x400000) boundary
application mixer_applet2 uses obsolete OSS audio interface
Comment 4 Leon Stringer 2005-05-19 13:31:17 EDT
(Hmmm, maybe I should have attached that. Oh well).

I should also point out that the behaviour has changed slightly.

When I double click on the "IOMEGA ZIP 250 ATAPI" icon in the GNOME Computer
window I get "Unable to mount the selected volume" and under more details I get
"mount: I could not determine the filesystem type, and none was specified".

But if I try "mount -t vfat /dev/hdb4 /media/zip" the computer locks up.
Comment 5 Leon Stringer 2005-05-19 13:44:27 EDT
Sorry that should be "mount -t vfat /dev/hdb /media/zip".

/etc/fstab contains: /dev/hdb4               /media/zip              auto   
pamconsole,exec,noauto,managed 0 0

but mounting /dev/hdb4 gives "mount: special device /dev/hdb4 does not exist"
Comment 6 Dave Jones 2005-05-21 03:16:58 EDT
the fact it reports the media is larger than the drive supports is odd.
Can you run dosfsck against /dev/hdb4 and see if that reports anything out of
the ordinary ?
Comment 7 Fridrich Strba 2005-05-21 07:38:50 EDT
For me, if the disk is in the slot, after the kernel reports the messages about
the media being larger than the drive supports, kernel crashes, and on the
screen is something looking like a back-trace in format:
   [ hexadecimal number ] function_name
I am not able to give you the output because I do not have null modem cable to
boot with a serial terminal. If it is usefull, I can copy by hand the end of the
"trace" or sometimes next week to buy a serial cable and try my chance there.

If the disk is not in the slot, the kernel boots well, but as soon as I enter it
and run dosfsck, it hangs without leaving any trace anywhere.

If I give boot option hdb=ide-scsi, the boot is OK even with the disk in the
unit. One can even mount it and see some of the files (thumbnails of pictures
are seen), but at a certain moment, while working with the disk, the system
hangs and the only solution is reset buton.
Comment 8 Leon Stringer 2005-05-21 16:47:29 EDT
Maybe the fact it reports the media is larger than the drive is a red herring as
it reports this under FC3 which works fine (although it may indicate some other
problem)? Also, this message only appears with 250MB disks and not 100MB disks
although the lock up still occurs.

Here's the information you asked for (from 2.6.11-1.1323_FC4):

# /sbin/dosfsck /dev/hdb4
dosfsck 2.10, 22 Sep 2003, FAT32, LFN
open /dev/hdb4:No such file or directory
(No crash)

# /sbin/dosfsck /dev/hdb
dosfsck 2.10, 22 Sep 2003, FAT32, LFN
(No more output, system locks).

Compare this with the output from FC3 (2.6.10-1.770_FC3):

# /sbin/dosfsck /dev/hdb4
dosfsck 2.8, 28 Feb 2001, FAT32, LFN
/dev/hdb4: 427 files, 49038/49039 clusters

# /sbin/dosfsck /dev/hdb
dosfsck 2.8, 28 Feb 2001, FAT32, LFN
Currently, only 2 FATs are supported, not 32.
Comment 9 Dave Jones 2005-06-27 19:31:52 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 10 Leon Stringer 2005-07-13 15:23:10 EDT
Here's the results for FC4 (final release) with updates applied. I no longer get
a crash, but cannot access Zip disks at all.

I installed FC4 on a clean partition. After install /etc/fstab lists:

/dev/hdb4               /media/zip              auto   
pamconsole,exec,noauto,managed 0 0

The Computer window in GNOME Nautilus lists "IOMEGA ZIP 250 ATAPI". I insert a
disk, double click on this icon and get a "Mount Error" message saying:

    Unable to mount the selected volume
    mount: I could not determine the filesystem type, and none was specified

If I type "mount -t vfat /dev/hdb4 /media/zip" I get

    mount: special device /dev/hdb4 does not exist

(And this is correct, /dev/hdb4 doesn't exist).
Comment 11 Dave Jones 2005-07-15 17:55:04 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 12 Leon Stringer 2005-07-17 13:04:31 EDT
Ran the three lines above as requested, no improvement.
Comment 13 Leon Stringer 2005-07-17 13:15:11 EDT
I've been doing some testing.

If I do the following (major and minor numbers from FC3):

    # mknod /dev/hdb4 b 3 68

I can then mount the device with:

    # mount -t vfat /dev/hdb4 /media/zip

Curiously though, if I don't specify the filesystem I get:

    # mount /dev/hdb4 /media/zip
    mount: special device /dev/hdb4 does not exist

Even though /dev/hdb4 does exist.
Comment 14 Leon Stringer 2005-07-17 13:17:58 EDT
Oh, and when the system is restarted /dev/hdb4 gets removed.
Comment 15 Leon Stringer 2005-07-19 15:55:44 EDT
If I boot with a Zip disk in the drive, /dev/hdb4 gets created automatically.
When there's no disk in the drive it is missing.

Other than that the results are identical to comment #13 i.e.:

 - "mount /media/zip" gives "special device /dev/hdb4 does not exist"
 - "mount -t vfat /dev/hdb4 /media/zip/" works fine.

("eject /media/zip" doesn't eject the disk either but I'll open a separate issue
for that if we can resolved these issues).

P.S. Everything from Comment #12 onwards is kernel 2.6.12-1.1398_FC4.
Comment 16 Fridrich Strba 2005-08-22 02:37:02 EDT
OK, I can also confirm that the mounting using "mount /media/zip" does not work
properly. Nevertheless, the problem lies maybe in the way the media is
recognized by udev???, haldaemon??? or so. In /etc/fstab, the zip-drive has in
the filesystem type column "auto". Changing this to "vfat" is making the
mounting-by-clicking work well.
As for the ejection, it is trying to eject /dev/hdb4 instead of /dev/hdb, that
is the reason why there is not successful action, but error message instead.
"eject /dev/hdb" from command line works like a charm.
Thanks for the great work!
Comment 17 Dave Jones 2005-08-26 19:36:57 EDT
There's actually a number of bugs here.
First, udev isn't creating the devnode for the partitions for some reason.
Can you attach the output of find /sys/block -name dev | grep hdb  ?
If there's a /sys/block/hdb4/dev, please cat it and report that too.
This is either a bug in the kernel partition scanning code, or udev.

Next, the 'must specify -t vfat' problem.  I've no idea why that isn't working.

Finally, the 'eject tries to run on the partition instead of the drive' bug, is
probably a hal bug.
Comment 18 Leon Stringer 2005-08-27 08:13:35 EDT
Output as requested:

# find /sys/block -name dev | grep hdb
/sys/block/hdb/dev
# cat /sys/block/hdb/dev
3:64

Also: "eject /dev/hdb" doesn't work for me. It's curious because it does unmount
the device.

# eject -v /dev/hdb
eject: device name is `/dev/hdb'
eject: expanded name is `/dev/hdb'
eject: `/dev/hdb' is not mounted
eject: `/dev/hdb' is not a mount point
eject: `/dev/hdb' is a multipartition device
eject: trying to eject `/dev/hdb' using CD-ROM eject command
eject: CD-ROM eject command failed
eject: trying to eject `/dev/hdb' using SCSI commands
eject: SCSI eject failed
eject: trying to eject `/dev/hdb' using floppy eject command
eject: floppy eject command failed
eject: trying to eject `/dev/hdb' using tape offline command
eject: tape offline command failed
eject: unable to eject, last error: Invalid argument
Comment 19 Fridrich Strba 2005-09-16 16:46:39 EDT
Everything apart the "eject" problem seems to be fixed in recent rawhide.
Comment 20 Fridrich Strba 2005-09-17 16:42:16 EDT
I was too fast to speak. It works with the FC4 kernel, but
kernel-2.6.13-1.1555_FC5 is crashing when starting with the 250 MB zip disk in
the zip drive.
Comment 21 Dave Jones 2005-09-30 02:41:47 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 22 Leon Stringer 2005-10-03 15:03:40 EDT
Retested with 2.6.13-1.1526_FC4, no improvement, i.e. the drive and disks are
still not handled automatically, I have to run mknod and mount manually and
eject doesn't to work.
Comment 23 Dave Jones 2005-11-10 14:46:06 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 24 Leon Stringer 2005-12-04 10:07:35 EST
Retested with 2.6.14-1.1637_FC4, no improvement.
Comment 25 Dave Jones 2006-02-03 01:58:41 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 26 John DeDourek 2006-02-06 08:33:04 EST
The "udev not creating /dev/hdb4" sounds similar to bug 163417 filed against
the "hal" component.  So is this a "hal", a "udev", or a "kernel" problem?
Comment 27 John DeDourek 2006-02-07 07:37:28 EST
Updated to
   kernel-smp-2.6.15-1.1830_FC4
   udev-071-0.FC4.2
   module-init-tools-3.2-0.pre9.0.FC4.1
still running
   hal-0.5.2-2.fc4.1
The partition node (/dev/hdd4 in my case) is still not created automatically. 
It will be created if you first attempt a mount of /dev/hdd; this mount fails 
but succeeds in creating the required /dev/hdd4.  For full symptoms, 
including peculiar behaviour of mount (fails to see /dev/hdd4 even when
it exists, if you use the /etc/fstab entry to mount) see bug 163417.
Comment 28 John DeDourek 2006-02-08 09:13:51 EST
No change, bug remains, for 
   kernel-2.6.15-1.1831_FC4
as expected.
Comment 29 John DeDourek 2006-03-04 15:12:42 EST
For the portion of this bug describing the failure to create the partition
node /dev/hdb4 (or /dev/hdd4), please see bug 183996.
Comment 30 Dave Jones 2006-09-16 22:25:28 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 31 Dave Jones 2006-10-16 17:32:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 32 Dave Jones 2006-11-24 18:19:33 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.